package com.rjconsultores.ventaboletos.vo.embarcada;

import java.util.List;

import com.rjconsultores.ventaboletos.vo.corrida.CorridaVO;
import com.rjconsultores.ventaboletos.vo.ruta.RutaVO;

public class OperadorEmbarcadaVO {
	private Integer idOperador;
	private String operador;
	private String descOperador;
	private Integer idAgencia;
	private String descAgencia;
	private Boolean indcorteautomatico;
	private List<RutaVO>lsRutas;
	private List<CorridaVO>lsCorridas;
	private List<FormaPagamentoVO> lsFormasPagamento;
	private List<SeguroTaxaEmbarqueVO> lsSeguroTaxaEmbarque;
	private List<TiposPassagensBloqueadasVO> lsTiposPassagensBloqueadas;
	//lista usadas nas consultas resumidas 
	private List<Integer>listRutas;
	private List<String>listCorridas;
	
	public Integer getIdOperador() {
		return idOperador;
	}
	public void setIdOperador(Integer idOperador) {
		this.idOperador = idOperador;
	}
	public String getOperador() {
		return operador;
	}
	public void setOperador(String operador) {
		this.operador = operador;
	}
	public String getDescOperador() {
		return descOperador;
	}
	public void setDescOperador(String descOperador) {
		this.descOperador = descOperador;
	}
	public Integer getIdAgencia() {
		return idAgencia;
	}
	public void setIdAgencia(Integer idAgencia) {
		this.idAgencia = idAgencia;
	}
	public String getDescAgencia() {
		return descAgencia;
	}
	public void setDescAgencia(String descAgencia) {
		this.descAgencia = descAgencia;
	}
	public List<RutaVO> getLsRutas() {
		return lsRutas;
	}
	public void setLsRutas(List<RutaVO> lsRutas) {
		this.lsRutas = lsRutas;
	}
	public List<CorridaVO> getLsCorridas() {
		return lsCorridas;
	}
	public void setLsCorridas(List<CorridaVO> lsCorridas) {
		this.lsCorridas = lsCorridas;
	}
	
	public Boolean getIndcorteautomatico() {
		return indcorteautomatico;
	}
	
	public void setIndcorteautomatico(Boolean indcorteautomatico) {
		this.indcorteautomatico = indcorteautomatico;
	}

	public List<String> getListCorridas() {
		return listCorridas;
	}
	
	public void setListCorridas(List<String> listCorridas) {
		this.listCorridas = listCorridas;
	}
	
	public List<Integer> getListRutas() {
		return listRutas;
	}
	
	public void setListRutas(List<Integer> listRutas) {
		this.listRutas = listRutas;
	}
	
	public List<FormaPagamentoVO> getLsFormasPagamento() {
		return lsFormasPagamento;
	}

	public void setLsFormasPagamento(List<FormaPagamentoVO> lsFormasPagamento) {
		this.lsFormasPagamento = lsFormasPagamento;
	}

	public List<SeguroTaxaEmbarqueVO> getLsSeguroTaxaEmbarque() {
		return lsSeguroTaxaEmbarque;
	}

	public void setLsSeguroTaxaEmbarque(List<SeguroTaxaEmbarqueVO> lsSeguroTaxaEmbarque) {
		this.lsSeguroTaxaEmbarque = lsSeguroTaxaEmbarque;
	}

	public List<TiposPassagensBloqueadasVO> getLsTiposPassagensBloqueadas() {
		return lsTiposPassagensBloqueadas;
	}

	public void setLsTiposPassagensBloqueadas(List<TiposPassagensBloqueadasVO> lsTiposPassagensBloqueadas) {
		this.lsTiposPassagensBloqueadas = lsTiposPassagensBloqueadas;
	}
	
}
